/************************************************************
*
* Unterprogramm fr die Visuschni um mit dem Programm
* "FluidSim" von "FestoDidactic" zusammen zu arbeiten.
* Dieses Programm arbeitet autag bis zu einen Reset.
* Sollte dies der Fall sein, wird zurck an die Main 
* bergeben. Dabei bergibt es einen Rckgabewert als
* Integer.
*
\***********************************************************/

#include <stdlib.h>
#include <string.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include "easyport.h"

#include "ports.h"
#include "uart_get_l.h"

#include "uart.h"
#include <avr/pgmspace.h>

/***********************************************************************
*
* Eingnge Anzeigen
* 
* "1-F", gibt direkt das Bit aus
* "B"  , gibt das Byte aus
* "W"  , gibt das Word aus 
*
\**********************************************************************/

void displayPIN (char *input)
{
	//if input[2]
}




/*********************************************************************
*Switch-Case-Funktionen
*
*Fr jeden Fall wird eine Funktion aufgerufen um den richtigen
*Befehl zu erkennen und die passende Antwort zu geben
*
\*********************************************************************/

void case_D(char *input) //Display Befehl
{
	switch (input[1])
	{
		case 'V':  //Version
			uart_puts("V=2.10\r");
			break;
		
		case 'S':  //Status
			uart_puts("S=02\r");
			break;
		
		case 'E': //Eingnge
			displayPIN (input);
			break;
			
	}
} //Funktionsende






//Timer Interupts um LED3 blinken zu lassen





int easyport (void)
{

char input[15];

while(1)
	{

		uart_get_line(input, sizeof(input) );

		switch (input[0])
		{
			case 's':
				if (strncmp(input, "setup0",6) == 0)
				{
					uart_puts("setup1\r");
					PORTE &= ~LED2;
				}
				break;
			
			case 'D':
				case_D( input );
				break;
		}


	}  //while
	return 0;
} //easyport
